org.apache.flume.source

## Class PollableSourceConstants

- java.lang.Object
- - org.apache.flume.source.PollableSourceConstants

-     public class PollableSourceConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BACKOFF_SLEEP_INCREMENT`
    `static long` | `DEFAULT_BACKOFF_SLEEP_INCREMENT`
    `static long` | `DEFAULT_MAX_BACKOFF_SLEEP`
    `static String` | `MAX_BACKOFF_SLEEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollableSourceConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BACKOFF_SLEEP_INCREMENT

          public static final String BACKOFF_SLEEP_INCREMENT

      See Also:
        Constant Field Values

    - #### MAX_BACKOFF_SLEEP

          public static final String MAX_BACKOFF_SLEEP

      See Also:
        Constant Field Values

    - #### DEFAULT_BACKOFF_SLEEP_INCREMENT

          public static final long DEFAULT_BACKOFF_SLEEP_INCREMENT

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_BACKOFF_SLEEP

          public static final long DEFAULT_MAX_BACKOFF_SLEEP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PollableSourceConstants

          public PollableSourceConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.